<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mvc/scriptviews/bases/expansionscriptview.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d99/a08778_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionscriptview.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d99/a08778.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionScriptView.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d45/a05057.html">ExpansionScriptView</a>: <a class="code hl_class" href="../../d8/dfd/a04293.html">ExpansionScriptViewBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html#a23cb5bb10314def68b8a1cc1259008ed">   15</a></span>    <span class="keyword">protected</span> ref Timer <a class="code hl_variable" href="../../d3/d45/a05057.html#a23cb5bb10314def68b8a1cc1259008ed">m_UpdateTimer</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html#a45eaec9c0d99a33e289b54171ec8a035">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a05057.html#a45eaec9c0d99a33e289b54171ec8a035">ExpansionScriptView</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_function" href="../../d3/d45/a05057.html#a2810e4a4999e38567fadd247c32bb899">CreateUpdateTimer</a>();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html#a70d6c1b03f5ea5a18976fecfb7dd98d5">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a05057.html#a70d6c1b03f5ea5a18976fecfb7dd98d5">~ExpansionScriptView</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_function" href="../../d3/d45/a05057.html#a97178db2190cc57d23c52924929d9631">DestroyUpdateTimer</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">   27</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a05057.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">Show</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {   </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../d8/dfd/a04293.html#adc09562714e019563aa3745be626ccf1">SetIsVisible</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        GetLayoutRoot().Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_function" href="../../d8/dfd/a04293.html#af6b3d0a2b90bba2574eaeeaec147e008">OnShow</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html#afa9acd67cb0ab6d711d00b2862717201">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a05057.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../d8/dfd/a04293.html#adc09562714e019563aa3745be626ccf1">SetIsVisible</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        GetLayoutRoot().Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../d8/dfd/a04293.html#a4d57f2f454dd914cc7048173d29bbbba">OnHide</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html#a3828f8c2e57a8745058954ea710ab7b2">   41</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d3/d45/a05057.html#a3828f8c2e57a8745058954ea710ab7b2">GetUpdateTickRate</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html#a2810e4a4999e38567fadd247c32bb899">   46</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a05057.html#a2810e4a4999e38567fadd247c32bb899">CreateUpdateTimer</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d3/d45/a05057.html#a23cb5bb10314def68b8a1cc1259008ed">m_UpdateTimer</a> &amp;&amp; <a class="code hl_function" href="../../d3/d45/a05057.html#a3828f8c2e57a8745058954ea710ab7b2">GetUpdateTickRate</a>() != -1)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_variable" href="../../d3/d45/a05057.html#a23cb5bb10314def68b8a1cc1259008ed">m_UpdateTimer</a> = <span class="keyword">new</span> Timer(CALL_CATEGORY_GUI);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <a class="code hl_variable" href="../../d3/d45/a05057.html#a23cb5bb10314def68b8a1cc1259008ed">m_UpdateTimer</a>.Run(<a class="code hl_function" href="../../d3/d45/a05057.html#a3828f8c2e57a8745058954ea710ab7b2">GetUpdateTickRate</a>(), <span class="keyword">this</span>, <span class="stringliteral">&quot;Update&quot;</span>, NULL, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html#a97178db2190cc57d23c52924929d9631">   55</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a05057.html#a97178db2190cc57d23c52924929d9631">DestroyUpdateTimer</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d3/d45/a05057.html#a23cb5bb10314def68b8a1cc1259008ed">m_UpdateTimer</a>)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <a class="code hl_variable" href="../../d3/d45/a05057.html#a23cb5bb10314def68b8a1cc1259008ed">m_UpdateTimer</a>.Stop();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keyword">delete</span> <a class="code hl_variable" href="../../d3/d45/a05057.html#a23cb5bb10314def68b8a1cc1259008ed">m_UpdateTimer</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d3/d45/a05057.html#a7f25ac24df019810e0a0db4024519d0a">   64</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d45/a05057.html#a7f25ac24df019810e0a0db4024519d0a">Update</a>();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>}</div>
<div class="ttc" id="aa04293_html"><div class="ttname"><a href="../../d8/dfd/a04293.html">ExpansionScriptViewBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db6/a08775_source.html#l00021">expansionscriptview.c:22</a></div></div>
<div class="ttc" id="aa04293_html_a4d57f2f454dd914cc7048173d29bbbba"><div class="ttname"><a href="../../d8/dfd/a04293.html#a4d57f2f454dd914cc7048173d29bbbba">ExpansionScriptViewBase::OnHide</a></div><div class="ttdeci">void OnHide()</div></div>
<div class="ttc" id="aa04293_html_adc09562714e019563aa3745be626ccf1"><div class="ttname"><a href="../../d8/dfd/a04293.html#adc09562714e019563aa3745be626ccf1">ExpansionScriptViewBase::SetIsVisible</a></div><div class="ttdeci">void SetIsVisible(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db6/a08775_source.html#l00030">expansionscriptview.c:30</a></div></div>
<div class="ttc" id="aa04293_html_af6b3d0a2b90bba2574eaeeaec147e008"><div class="ttname"><a href="../../d8/dfd/a04293.html#af6b3d0a2b90bba2574eaeeaec147e008">ExpansionScriptViewBase::OnShow</a></div><div class="ttdeci">void OnShow()</div></div>
<div class="ttc" id="aa05057_html"><div class="ttname"><a href="../../d3/d45/a05057.html">ExpansionScriptView</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa05057_html_a23cb5bb10314def68b8a1cc1259008ed"><div class="ttname"><a href="../../d3/d45/a05057.html#a23cb5bb10314def68b8a1cc1259008ed">ExpansionScriptView::m_UpdateTimer</a></div><div class="ttdeci">protected ref Timer m_UpdateTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00015">expansionscriptview.c:15</a></div></div>
<div class="ttc" id="aa05057_html_a2810e4a4999e38567fadd247c32bb899"><div class="ttname"><a href="../../d3/d45/a05057.html#a2810e4a4999e38567fadd247c32bb899">ExpansionScriptView::CreateUpdateTimer</a></div><div class="ttdeci">protected void CreateUpdateTimer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00046">expansionscriptview.c:46</a></div></div>
<div class="ttc" id="aa05057_html_a3828f8c2e57a8745058954ea710ab7b2"><div class="ttname"><a href="../../d3/d45/a05057.html#a3828f8c2e57a8745058954ea710ab7b2">ExpansionScriptView::GetUpdateTickRate</a></div><div class="ttdeci">float GetUpdateTickRate()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00041">expansionscriptview.c:41</a></div></div>
<div class="ttc" id="aa05057_html_a3df22f8ba7c31b6d3c427c1b5fcb2382"><div class="ttname"><a href="../../d3/d45/a05057.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">ExpansionScriptView::Show</a></div><div class="ttdeci">override void Show()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00027">expansionscriptview.c:27</a></div></div>
<div class="ttc" id="aa05057_html_a45eaec9c0d99a33e289b54171ec8a035"><div class="ttname"><a href="../../d3/d45/a05057.html#a45eaec9c0d99a33e289b54171ec8a035">ExpansionScriptView::ExpansionScriptView</a></div><div class="ttdeci">void ExpansionScriptView()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00017">expansionscriptview.c:17</a></div></div>
<div class="ttc" id="aa05057_html_a70d6c1b03f5ea5a18976fecfb7dd98d5"><div class="ttname"><a href="../../d3/d45/a05057.html#a70d6c1b03f5ea5a18976fecfb7dd98d5">ExpansionScriptView::~ExpansionScriptView</a></div><div class="ttdeci">void ~ExpansionScriptView()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00022">expansionscriptview.c:22</a></div></div>
<div class="ttc" id="aa05057_html_a7f25ac24df019810e0a0db4024519d0a"><div class="ttname"><a href="../../d3/d45/a05057.html#a7f25ac24df019810e0a0db4024519d0a">ExpansionScriptView::Update</a></div><div class="ttdeci">void Update()</div></div>
<div class="ttc" id="aa05057_html_a97178db2190cc57d23c52924929d9631"><div class="ttname"><a href="../../d3/d45/a05057.html#a97178db2190cc57d23c52924929d9631">ExpansionScriptView::DestroyUpdateTimer</a></div><div class="ttdeci">protected void DestroyUpdateTimer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00055">expansionscriptview.c:55</a></div></div>
<div class="ttc" id="aa05057_html_afa9acd67cb0ab6d711d00b2862717201"><div class="ttname"><a href="../../d3/d45/a05057.html#afa9acd67cb0ab6d711d00b2862717201">ExpansionScriptView::Hide</a></div><div class="ttdeci">override void Hide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d99/a08778_source.html#l00034">expansionscriptview.c:34</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_ee841cbe272fde7d7d8de5f31a96d644.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_d9bf3955f906b79792cbbbe771cbfdb0.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_a010632d5636c220a8f3f7c7edce9061.html">mvc</a></li><li class="navelem"><a class="el" href="../../dir_1621b81b9785d73209c7f4c12fbe6bef.html">scriptviews</a></li><li class="navelem"><a class="el" href="../../dir_6528999816d6cd83ca2077107d99fccf.html">bases</a></li><li class="navelem"><a class="el" href="../../d5/d99/a08778.html">expansionscriptview.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
